## ignition-launch4 4.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-launch4 VERSION 4.1.0)

#============================================================================
# Find ignition-cmake
#============================================================================
find_package(ignition-cmake2 2.8.0 REQUIRED)
set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})

#============================================================================
# Configure the project
#============================================================================
ign_configure_project(VERSION_SUFFIX)

#============================================================================
# Set project-specific options
#============================================================================

set(IGN_LAUNCH_PLUGIN_INSTALL_PATH "${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ign-${IGN_DESIGNATION}-${PROJECT_VERSION_MAJOR}/plugins/")

#============================================================================
# Search for project-specific dependencies
#============================================================================
message(STATUS "\n\n-- ====== Finding Dependencies ======")

#--------------------------------------
# Find Tinyxml2
ign_find_package(TINYXML2 REQUIRED PRIVATE PRETTY tinyxml2)

#--------------------------------------
# Find ignition-common
ign_find_package(ignition-common4 REQUIRED PRIVATE)
set(IGN_COMMON_MAJOR_VER ${ignition-common4_VERSION_MAJOR})

#--------------------------------------
# Find ignition-plugin
ign_find_package(ignition-plugin1 REQUIRED_BY launch COMPONENTS loader register)
set(IGN_PLUGIN_MAJOR_VER ${ignition-plugin1_VERSION_MAJOR})

#--------------------------------------
# Find ignition-tools
ign_find_package(ignition-tools
  REQUIRED
  PKGCONFIG "ignition-tools")

#--------------------------------------
# Find ignition-transport
ign_find_package(ignition-transport10 REQUIRED)
set(IGN_TRANSPORT_MAJOR_VER ${ignition-transport10_VERSION_MAJOR})

#--------------------------------------
# Find ignition-msgs
ign_find_package(ignition-msgs7 REQUIRED)
set(IGN_MSGS_MAJOR_VER ${ignition-msgs7_VERSION_MAJOR})

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED)
set(IGN_MATH_MAJOR_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find ignition-gui
ign_find_package(ignition-gui5 REQUIRED)
set(IGN_GUI_MAJOR_VER ${ignition-gui5_VERSION_MAJOR})
ign_find_package (Qt5
  COMPONENTS
    Core
    Quick
    QuickControls2
  REQUIRED
  PKGCONFIG "Qt5Core Qt5Quick Qt5QuickControls2")

#--------------------------------------
# Find ignition-gazebo
ign_find_package(ignition-gazebo5 REQUIRED PRIVATE COMPONENTS gui)
set(IGN_GAZEBO_MAJOR_VER ${ignition-gazebo5_VERSION_MAJOR})

ign_pkg_check_modules(websockets libwebsockets)
if (NOT websockets_FOUND)
  ign_build_warning("Unable to find libwebsockets. The websocket_server plugin will not be built.")
endif()

#--------------------------------------
# Find prerequistes for backward
include(src/vendor/BackwardConfig.cmake)

#============================================================================
# Add plugins
#============================================================================
add_subdirectory(plugins)

#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS)

#============================================================================
# install example .ign files
#============================================================================
add_subdirectory(examples)

#============================================================================
# Create package information
#============================================================================
ign_create_packages()

#============================================================================
# Configure documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
  TAGFILES
   "${IGNITION-MATH_DOXYGEN_TAGFILE} = ${IGNITION-MATH_API_URL}"
   "${IGNITION-MSGS_DOXYGEN_TAGFILE} = ${IGNITION-MSGS_API_URL}"
   "${IGNITION-PHYSICS_DOXYGEN_TAGFILE} = ${IGNITION-PHYSICS_API_URL}"
   "${IGNITION-PLUGIN_DOXYGEN_TAGFILE} = ${IGNITION-PLUGIN_API_URL}"
   "${IGNITION-TRANSPORT_DOXYGEN_TAGFILE} = ${IGNITION-TRANSPORT_API_URL}"
   "${IGNITION-SENSORS_DOXYGEN_TAGFILE} = ${IGNITION-SENSORS_API_URL}"
   "${IGNITION-COMMON_DOXYGEN_TAGFILE} = ${IGNITION-COMMON_API_URL}"
   "${IGNITION-GAZEBO_DOXYGEN_TAGFILE} = ${IGNITION-GAZEBO_API_URL}"
   "${IGNITION-GUI_DOXYGEN_TAGFILE} = ${IGNITION-GUI_API_URL}"
)

=== plugins/gazebo_factory/CMakeLists.txt ===
set (plugin ignition-launch-gazebo-factory)
set (sources GazeboFactory.cc)

string (TOLOWER ${plugin} plugin_lower)

add_library(${plugin_lower} SHARED ${sources})
target_link_libraries(${plugin_lower}
  PRIVATE
  ${PROJECT_LIBRARY_TARGET_NAME}
  ignition-gazebo${IGN_GAZEBO_MAJOR_VER}::ignition-gazebo${IGN_GAZEBO_MAJOR_VER}
  ignition-common${IGN_COMMON_MAJOR_VER}::ignition-common${IGN_COMMON_MAJOR_VER}
  ignition-transport${IGN_TRANSPORT_MAJOR_VER}::core
  ignition-plugin${IGN_PLUGIN_MAJOR_VER}::core
)

install (TARGETS ${plugin} DESTINATION ${IGN_LAUNCH_PLUGIN_INSTALL_PATH})

=== include/ignition/launch/CMakeLists.txt ===
ign_install_all_headers()

if (WIN32)
  configure_file (${CMAKE_CURRENT_SOURCE_DIR}/strings.h.in
                  ${CMAKE_BINARY_DIR}/include/strings.h)
endif()

=== debian/changelog ===
ignition-launch4 (4.1.0-1~focal) focal; urgency=medium

  * ignition-launch4 4.1.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Fri, 15 Oct 2021 09:04:26 -0700

ignition-launch4 (4.0.0-1~focal) focal; urgency=medium

  * ignition-launch4 4.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 31 Mar 2021 18:16:26 -0700

ignition-launch4 (4.0.0~pre1-1~focal) focal; urgency=medium

  * ignition-launch4 4.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 26 Mar 2021 16:09:53 -0700

ignition-launch4 (3.999.999-1~focal) focal; urgency=medium

  * Stub to be removed after first entry

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 16 Jul 2020 18:43:17 +0200

=== debian/control ===
Source: ignition-launch4
Standards-Version: 3.9.4
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: extra
Build-Depends: cmake,
               debhelper (>= 7.0.50~),
               doxygen,
               libignition-cmake2-dev,
               libignition-common4-dev,
               libignition-gazebo5-dev,
               libignition-gui5-dev,
               libignition-msgs7-dev,
               libignition-plugin-dev,
               libignition-tools-dev,
               libignition-transport10-dev,
               libsdformat11-dev,
               libtinyxml2-dev,
               libwebsockets-dev,
               qtquickcontrols2-5-dev,
               libqt5core5a,
               binutils-dev
Vcs-Browser: https://github.com/ignition-release/ign-launch4-release
Vcs-Git: https://github.com/ignition-release/ign-launch4-release
Homepage: https://github.com/ignition-release/ign-launch4

Package: libignition-launch4
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Launch Library - Launch libraries

Package: libignition-launch4-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
	 libignition-common4-dev,
	 libignition-gazebo5-dev,
	 libignition-gui5-dev,
	 libignition-msgs7-dev,
	 libignition-plugin-dev,
	 libignition-tools-dev,
	 libignition-transport10-dev,
	 libsdformat11-dev,
	 libtinyxml2-dev ,
	 libwebsockets-dev,
	 qtquickcontrols2-5-dev,
	 libqt5core5a,
	 libignition-launch4 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Launch Library - Launch libraries
  Ignition Common is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
